Subject: bug#56393: Actually fix the long lines display bug

From: Gregory Heytings <[email-masked]>
Date: Tue, 19 Jul 2022 12:57:01 +0000

>
> The problem is that the loop under that condition is called whenever 
> redisplay_window is called.  For a file like xdisp.c or dictionary.json, 
> that loop takes about 1 ms (on my laptop).  For a file with 150K lines, 
> it takes about 13 ms.  As I said earlier, I would prefer to avoid 
> calling that loop for normal typing, namely when only one character has 
> been added or removed from the buffer since the last redisplay.  IOW, I 
> want to make the heuristic more precise.
>

Sorry, that was not precise enough: the loop under that condition is 
called whenever redisplay_window is called AND the buffer has been 
modified.